summaryrefslogtreecommitdiff
path: root/tests/ls
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>2006-07-26 14:35:19 +0000
committerJim Meyering <jim@meyering.net>2006-07-26 14:35:19 +0000
commit2f418ef97df8b0342395e4a2d0d2f9f24a90f653 (patch)
treec286c0d7e24fb6cb5bc4e1f7140c7ecde7af41f0 /tests/ls
parentd2c6ae7fbc6c26e45fe33882c673897602afc0d2 (diff)
downloadcoreutils-2f418ef97df8b0342395e4a2d0d2f9f24a90f653.tar.xz
* tests/ls/stat-failed: Adapt to match new expected output.
From Paul Eggert.
Diffstat (limited to 'tests/ls')
-rwxr-xr-xtests/ls/stat-failed12
1 files changed, 6 insertions, 6 deletions
diff --git a/tests/ls/stat-failed b/tests/ls/stat-failed
index c038c3757..fc6abf3a2 100755
--- a/tests/ls/stat-failed
+++ b/tests/ls/stat-failed
@@ -35,24 +35,24 @@ test $? = 1 || fail=1
cat <<\EOF > exp || fail=1
total 0
-?--------- ? ? ? s
+?????????? ? ? ? s
EOF
-cmp out exp || fail=1
+sed 's/^l/?/' out | cmp - exp || fail=1
test $fail = 1 && diff out exp 2> /dev/null
# Ensure that the offsets in --dired output are accurate.
rm -f out exp
-ls --dired -il d > out 2> /dev/null && fail=1
+ls --dired -l d > out 2> /dev/null && fail=1
cat <<\EOF > exp || fail=1
total 0
- ? ?--------- ? ? ? ? ? s
-//DIRED// 46 47
+ ?????????? ? ? ? ? ? s
+//DIRED// 44 45
//DIRED-OPTIONS// --quoting-style=literal
EOF
-cmp out exp || fail=1
+sed 's/^ l/ ?/' out | cmp - exp || fail=1
test $fail = 1 && diff out exp 2> /dev/null
(exit $fail); exit $fail